<script setup lang="ts">
import { isDark, toggleDark } from '@slidev/client/logic/dark';
</script>

<template>
	<button
		class="rounded-full inline-flex items-center justify-center text-center text-xs p-1 size-20px text-white bg-brand-primary shadow-none !outline-none"
		hover="text-brand-primary dark:bg-white bg-gray-200 outline-none"
		@click="toggleDark"
	>
		<carbon:moon v-if="isDark" />
		<carbon:sun v-else />
	</button>
</template>
